DIPlib Documentation - ©1995-2009 Quantitative Imaging Group, Delft University of Technology.

# IsodataThreshold

Point operation

## SYNOPSIS

`#include "dip_analysis.h"`

dip_Error dip_IsodataThreshold ( in, out, mask, numbthresholds, values )

## DATA TYPES

integer, float

## FUNCTION

Thresholds `in` with the isodata method. Several threholds can be supplied, their value is returned in `values`. The different regions are label in `out` with different grey-values. A maks image `mask` can be given to compute the isodata only there.

## ARGUMENTS

Data type | Name | Description
`dip_Image` | `in` | Input image
`dip_Image` | `out` | Output image
`dip_Image` | `mask` | Mask image
`dip_int` | `numbthresholds` | Number of Thresholds
`dip_FloatArray` | `values` | Values

## SEE ALSO

`Threshold`, `RangeThreshold`, `HysteresisThreshold`

DIPlib on-line documentation | Function reference | Global function index